Categories:
  - Internet
  - Phone & SMS
License: AGPL-3.0-only
AuthorName: Famedly
SourceCode: https://gitlab.com/famedly/fluffychat
IssueTracker: https://gitlab.com/famedly/fluffychat/-/issues
Translation: https://hosted.weblate.org/projects/fluffychat/

AutoName: FluffyChat

RepoType: git
Repo: https://gitlab.com/famedly/fluffychat

Builds:
  - versionName: 0.41.3
    versionCode: 1456
    commit: 0.41.3
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 0.42.0
    versionCode: 1486
    commit: d775174e97d808a02106ab39f296d59729785949
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 0.42.1
    versionCode: 1532
    commit: 6b68020857306b79a16398fb867b9f46870ab111
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 0.42.2
    versionCode: 1562
    commit: 7d300eceff83bed041b6be96ddb180f9a15e9a09
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 0.42.3
    versionCode: 1662
    commit: 325778f17d1803b5c20a809a31cf7a9bd30fd711
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.0.1
    versionCode: 1773
    commit: f08a683000500c7bd6d56be541a4e38d8379a094
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.1.0
    versionCode: 1838
    commit: 1db86b3f3c6d7dabda8a27159ca3e8fcf6baa4a4
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.1
    rm:
      - ios
      - linux
      - macos
      - snap
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.2.0
    versionCode: 2041
    commit: e764def7476bffe98d512d8a6755d814cd8e7951
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.3.1
    versionCode: 2322
    commit: d1185e84997cfd5304ed60d69d1c228aaede158b
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1' > /dev/null
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags v\d+.\d+.\d+
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.3.1
CurrentVersionCode: 2322
